Bug 335422 - Clicking on the month selector of the calendar popup makes the popup disappear
Summary: Clicking on the month selector of the calendar popup makes the popup disappear
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Calendar (show other bugs)
Version: master
Platform: Gentoo Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-27 16:49 UTC by Elias Probst
Modified: 2014-05-28 10:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Probst 2014-05-27 16:49:38 UTC
Clicking on the month selector of the calendar popup makes the popup disappear

does not happen when pinning the popup.
Changing the focus policy from "…follows mouse" to "… click" doesn't have any effect on this.
Comment 1 David Edmundson 2014-05-27 17:28:41 UTC
Confirming
Comment 2 Martin Klapetek 2014-05-28 10:04:39 UTC
Git commit ce166ca451c5ce808a8be50518c3a721942daf92 by Martin Klapetek.
Committed on 28/05/2014 at 10:04.
Pushed by mklapetek into branch 'master'.

Don't hide Dialog when opening QMenu from it

When plasmoid in a popup (applet opened from panel) is opening a QMenu,
the popup itself hides because it looses focus. There's currently no way
to obtain the Dialog the applet popup is in and pass it to the QMenu
window as a parent, so we have to go this way.

REVIEW: 118361

M  +1    -1    src/plasmaquick/dialog.cpp

http://commits.kde.org/plasma-framework/ce166ca451c5ce808a8be50518c3a721942daf92